"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff9341eca0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffff9341ede0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff9341ed40>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff9341ee80>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffff9341ef20>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffff9341efc0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff9341f060>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff9341f100>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff9341f1a0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff9341f240>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffff9341f2e0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffff9341f380>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffff9341f420>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffff9341f4c0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffff9341f560>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffff9341f600>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffff9341f6a0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffff9341f740>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffff9341f7e0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffff9341f880>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffff9341f920>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffff9341f9c0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffff9341fa60>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffff9341fb00>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff9341fba0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffff9341fc40>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffff9341fce0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff9341fd80>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffff9341fe20>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffff9341fec0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffff9341ff60>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffff93474040>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffff934740e0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffff93474180>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffff93474220>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffff934742c0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffff93474360>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffff93474400>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff934744a0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff93474540>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff934745e0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffff93474680>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffff93474720>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffff934747c0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffff93474860>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffff93474900>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffff934749a0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff93474a40>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff93474ae0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffff93474b80>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffff93474c20>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffff93474cc0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff93474d60>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffff93474e00>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffff93474ea0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff93474f40>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff93474fe0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff93475080>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffff93475120>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff934751c0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffff93475260>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffff93475300>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffff934753a0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff93475440>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffff934754e0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffff93475580>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffff93475620>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffff934756c0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffff93475760>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff93475800>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffff934758a0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffff93475940>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff934759e0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffff93475a80>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffff93475b20>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffff93475bc0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffff93475c60>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffff93475d00>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffff93475da0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffff93475ee0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffff93475e40>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffff93475f80>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffff93476020>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffff934760c0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffff93476160>)]
name: str = 'fr_HOCCN'
